/*=========================================================================

  Program:   ParaView
  Module:    vtkPVRenderView2.h

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.paraview.org/HTML/Copyright.html for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
/**
 * @class   vtkPVRenderView2
 * @brief   Render View for ParaView.
 *
 * vtkRenderView equivalent that is specialized for ParaView. vtkRenderView
 * handles polygonal rendering for ParaView in all the different modes of
 * operation. vtkPVRenderView2 instance must be created on all involved
 * processes. vtkPVRenderView2 uses the information about what process it has
 * been created on to decide what part of the "rendering" happens on the
 * process.
*/

#ifndef vtkPVRenderView2_h
#define vtkPVRenderView2_h

#include "vtkPVRenderView.h"

class vtkPVRenderView2 : public vtkPVRenderView
{
  //*****************************************************************
public:
  static vtkPVRenderView2* New();
  vtkTypeMacro(vtkPVRenderView2, vtkPVRenderView);

protected:
  vtkPVRenderView2() =default;
  ~vtkPVRenderView2() override =default;

private:
  vtkPVRenderView2(const vtkPVRenderView2&) =delete;
  void operator=(const vtkPVRenderView2&) =delete;
};

#endif
